配送業者一覧取得
GET
/delivery_companies
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/ec-b2b/delivery_companies?limit=10&page=1&name=%E3%83%A4%E3%83%9E%E3%83%88%E9%81%8B%E8%BC%B8&code=10';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.smaregi.dev/TARGET-CONTRACT-ID/ec-b2b/delivery_companies?limit=10&page=1&name=%E3%83%A4%E3%83%9E%E3%83%88%E9%81%8B%E8%BC%B8&code=10' \ --header 'Authorization: Bearer <token>'配送業者の一覧を取得します。
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”limit
integer
取得件数
page
integer
ページ
name
string
名前で絞り込み
Example
ヤマト運輸code
integer
配送業者コードで絞り込み
Example
10Responses
Section titled “Responses”取得成功
Media typeapplication/json
Array
DeliveryCompanyResponseobject
id
配送業者ID
string format: uuid
name
名前
string
code
配送業者コード
integer
Examples
Exampledefault
[ { "id": "12345678-1234-1234-1234-1234567890ab", "name": "ヤマト運輸", "code": 10 }, { "id": "12345678-1234-1234-1234-1234567890cd", "name": "日本郵便", "code": 20 }, { "id": "12345678-1234-1234-1234-1234567890ef", "name": "佐川急便", "code": 30 }, { "id": "12345678-1234-1234-1234-1234567890gh", "name": "福山通運", "code": 40 }, { "id": "12345678-1234-1234-1234-1234567890ij", "name": "西濃運輸", "code": 50 }]Headers
Section titled “Headers”Link
string
<前ページURI>; rel="prev", <次ページURI>; rel="next"
- 入力チェックエラーの場合
Media typeapplication/json
object
type
required
string
title
required
string
detail
string
status
integer
Examples
{ "type": "about:blank", "title": "Bad Request", "detail": "request_json:[limit]は100以下の数字を指定してください。", "status": 400}{ "type": "about:blank", "title": "Bad Request", "detail": "request_json:[page]は1以上の数字を指定してください。", "status": 400}